/*! \file ovglobals.cpp
 *  \brief Declarations of global variables
 */

#include "ovglobals.h"

namespace OV
{
OVProjector* OVprojector = new OVProjector; 
OVm4 OVrangeMatrix; 
OVm4 OVprojectorModelViewProjectionMatrixInverse; 
GLfloat OVmaxDisplacement;

GLint OVnoiseTexUnit; 
GLint OVgroundTexUnit;
GLint OVskyTexUnit;    
GLint OVcloudsTexUnit; 

GLint OVsunLightUnit = 0; 

OVTexture2d OVnoiseTexture; 
OVTexture2d OVskyTexture;   

OVMesh OVwaterMeshLOW;
OVMesh OVwaterMeshMEDIUM;
OVMesh OVwaterMeshHIGH;
OVMesh* OVactiveMesh;

OVShader OVwaterShaderLOW;      
OVShader OVwaterShaderMEDIUM;    
OVShader OVwaterShaderHIGH;     
OVShader* OVactiveShader;       

float* OVcamPos;         
float* OVcamDir;            
float* OVcamUp;             

float* OVwaterColor;        
float* OVsunColor;

float* OVtime;              
float* OVdayTime;          

float* OVwaterHorizon;      
float* OVwindVelocity;      

float OVamplitude;         
float OVscaleAmplitude;
float OValtitude;           

GLuint* OVtexCloudID; 
GLuint* OVtexSkyID;   
GLuint* OVtexGroundID;

int OVlodRes;              
int OVlodVis;        

OVv2 OVwaveVector;          
OVv2 OVwaveVec1;           
OVv2 OVwaveVec2;            
OVv2 OVwaveVec3;            
OVv2 OVwaveVec4;          
OVv2 OVwaveVec5;            
OVv2 OVwaveVec6;           
OVv2 OVwaveVec7;            
OVv2 OVwaveVec8;          
OVv4 OVwaveProp1;          
OVv4 OVwaveProp2;           
OVv4 OVwaveProp3;           
OVv4 OVwaveProp4;           
OVv4 OVwaveProp5;           
OVv4 OVwaveProp6;           
OVv4 OVwaveProp7;          
OVv4 OVwaveProp8;         

}  // End of OV
