/*! \file ovtexture2d.h
 *  \brief Texture reading header file.
 *
 *  This file contains the Texture2d structure that handles textures.
 */

#ifndef _OVTEXTURE2D_H_
#define _OVTEXTURE2D_H_

#include <iostream>
#include <string.h>
#include <stdio.h>
#include <GL/glew.h>

namespace OV
{

struct OVTexture2d
{
  GLuint texID;       /*!< Texture ID */
	GLuint type;        /*!< Byte order, GL_RGB or GL_RGBA */
  int width;          /*!< Texture width in pixels */
	int height;         /*!< Texture height in pixels */
  int bpp;            /*!< Bits per pixel */
  char* filename;     /*!< Stored filename to texture file */

  OVTexture2d();
  OVTexture2d(const char* texture, bool useMipMap = false);
  ~OVTexture2d();
  void Load(const char* texture, bool useMipMap = false);
};

bool OVTga2char(const char* filename, int& width, int& height, int& bpp, 
              char** data);

} //End of OV

#endif // End of _OVTEXTURE2D_H_
