/*! \file display.h
 *  \brief Functions for rendering
 *
 */

#ifndef _DISPLAY_H_
#define _DISPLAY_H_

#include <GL/glew.h>
#include <GL/glut.h>
#include "vec3.h"
#include "globals.h"
#include "ovwater.h"

void PrintString(float x, float y, const char* text);
void DrawOnScreenInfo();
void DrawArrow(Vec3f pos, Vec3f dir, float r, float g, float b, 
               bool inverse);
void DrawInfo();
void DrawTerrain();
void DrawSky();
void DrawBalloon();
void DrawBoat();
void DrawScene();

#endif // End of _DISPLAY_H_
