/*! \file input.h
 *  \brief Input header file.
 *
 *  Header file for keyboard inputs.
 */

#ifndef _INPUT_H_
#define _INPUT_H_

#include <GL/glew.h>
#include <GL/glut.h>
#include "globals.h"
#include "ovwater.h"

#ifndef DEG2RAD
#define DEG2RAD (float)3.14159265358979323846/180
#endif

#ifndef clamp
#define clamp(X, MIN, MAX) ((X<MIN) ? MIN : ((X>MAX) ? MAX : X))
#endif

void KeyDownFunc(unsigned char key, int x, int y);
void SpecDownFunc(int key, int x, int y);
void KeyUpFunc(unsigned char key, int x, int y);
void SpecUpFunc(int key, int x, int y);
void UpdateInput();

#endif // End of _INPUT_H_
