/*! \file ground.frag
 *  \brief Ground fragment shader.
 *
 */

uniform sampler2D tex_island; // Color
uniform sampler2D tex_noise;  // Structure

varying vec2 texCoordsIsland;
varying vec2 texCoordsNoise;
varying vec3 normal;

void main()
{
    vec4 color = texture2D(tex_island, texCoordsIsland);
    float noise = texture2D(tex_noise, texCoordsNoise);

    float light = dot(-gl_LightSource[0].spotDirection, normalize(normal));
    light = 0.6*clamp(light, 0.0, 1.0)+0.4;

    gl_FragColor = light*noise*color;
}
