/*! \file sky.vert
 *  \brief Sky vertex shader.
 *
 */

uniform float daytime;
uniform float height;
uniform float offset;

varying vec2 texSkyCoords;
varying vec3 position;
varying vec3 skyDir;

void main()
{
    gl_Position = ftransform();
    texSkyCoords = vec2(daytime, 1.0-(gl_Vertex.y+offset)/height);

    skyDir = gl_NormalMatrix * (gl_Vertex.xyz - 
                                gl_ModelViewMatrixInverse[3].xyz);

    position = gl_Vertex.xyz;
}
