/*! \file texture2d.h
 *  \brief Texture reading header file.
 *
 *  This file contains the Texture2d structure that handles textures.
 */

#ifndef _TEXTURE2D_H_
#define _TEXTURE2D_H_

#include <iostream>
#include <string.h>
#include <stdio.h>
#include <GL/glew.h>

/*! \brief Structure for storing information about an OpenGL 2D-texture */
struct Texture2d
{
    GLuint texID;       /*!< Texture ID */
    GLuint type;        /*!< Byte order, GL_RGB or GL_RGBA */
    int width;          /*!< Texture width in pixels */
    int height;         /*!< Texture height in pixels */
    int bpp;            /*!< Bits per pixel */
    char* filename;     /*!< Stored filename to texture file */

    Texture2d();
    Texture2d(const char* texture);
    ~Texture2d();
    void Load(const char* texture, bool useFloat32=false);
};

bool Tga2char(const char* filename, int& width, int& height, int& bpp, 
              char** data);

#endif // End of _TEXTURE2D_H_
